/***************************************************************************
 *   Copyright (C) 2005 by Alejandro Alviña y Gonzalo Saavedra   *
 *   gfss@elo.utfsm.cl   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef HIJO_H
#define HIJO_H
#include <sys/types.h>
#include <unistd.h>
#include <stdio.h>

/**
@author Alejandro Alviña y Gonzalo Saavedra
*/
#define MAXBUF 100
class Hijo{
public:
    Hijo(char *, char *);

    ~Hijo();
    char * leer(); //lee si es un pipa con terminal de lectura
    void escribir(char *);//escribe si es una pipa con terminal de escritura


private:
pid_t pid;
char buff[MAXBUF];
bool e;//1 si es escritura, o si es lectura
FILE *pfd;

};

#endif
