/***************************************************************************
 *   Copyright (C) 2005 by Alejandro Alviña y Gonzalo Saavedra   *
 *   gfss@elo.utfsm.cl   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "hijo.h"
#include <sys/types.h>
#include <signal.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>

Hijo::Hijo(char *s, char *d)
{
    int i=0;

    if (!strcmp(d,"r")) e=1;//si voy a leer marco el flag en 1
              

    else if (!strcmp(d,"w")) e=0;//si voy a escribir marco el flag en 0
             
    else{ //si se ingreso algo equivocado
         perror("No se ingreso un modo valido para contructor Hijo");
         exit(1);
         }
    //se crrea el proceso hijo con su pipa para el ping
    if((pfd = popen(s, d)) == NULL){ //solo entra si se creo mal la pipa
          perror("Error al abrir la pipa");
          exit(1);
          }

    for(i=0;i<MAXBUF;i++) buff[i]=0; //rellenar el buffer con 0
}


Hijo::~Hijo()
{
pclose(pfd);//se cierra la pipa
}




/*!
    \fn Hijo::leer()
 */
char * Hijo::leer()
{
    /// @todo implement me
    char t[MAXBUF]; //cadena temporal
    char *s;//cadena que sera devuelta
    int i=0;
    fgets(t,MAXBUF,pfd); //se copia la cadena para que despues sea manipulada
    i = strlen(t); //se ve el tamaño
    s = new char[i]; //se crea un nuevo espacio
    strcpy(s,t); //se copia la cadena
    return s; //retorna el puntero de la cadena
}


/*!
    \fn Hijo::escribir(char *)
 */
void Hijo::escribir(char *s)
{
    /// @todo implement me
    fputs(s, pfd);fflush(pfd);//se copia y se arroja o entrega de inmediato
}



